---
# Hardcoded AWS Access Key
# Should be false-positive since we `--disable-secrets`
- name: start an instance with a public IP address
  community.aws.ec2_instance:
    name: "public-compute-instance"
    vpc_subnet_id: subnet-5ca1ab1e
    instance_type: c5.large
    network:
      assign_public_ip: true
    image_id: ami-123456
    tags:
      Environment: Testing
    user_data: "s3cr3t$"